> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search the data catalog

> Searches across the company's data catalog using full-text search.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /data-catalog/search
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /data-catalog/search:
    post:
      tags:
        - Data Catalog
      summary: Search the data catalog
      description: Searches across the company's data catalog using full-text search.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayloadsDataCatalogSearchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseBodyDataCatalogMatch'
          description: OK
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsDataCatalogSearchRequest:
      properties:
        query:
          type: string
      type: object
    ListResponseBodyDataCatalogMatch:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsDataCatalogMatch'
          type: array
      required:
        - items
      type: object
    PayloadsDataCatalogMatch:
      properties:
        connectorUUID:
          format: uuid
          type: string
        object:
          $ref: '#/components/schemas/PayloadsDataCatalogMatchedObject'
        score:
          format: double
          type: number
      type: object
    PayloadsDataCatalogMatchedObject:
      properties:
        database:
          $ref: '#/components/schemas/PayloadsDataCatalogDatabase'
        schema:
          $ref: '#/components/schemas/PayloadsDataCatalogSchema'
        table:
          $ref: '#/components/schemas/PayloadsDataCatalogTable'
      type: object
    PayloadsDataCatalogDatabase:
      properties:
        name:
          type: string
      type: object
    PayloadsDataCatalogSchema:
      properties:
        databaseName:
          type: string
        name:
          type: string
      type: object
    PayloadsDataCatalogTable:
      properties:
        databaseName:
          type: string
        name:
          type: string
        schemaName:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````